<?php
class DomainManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'get' => array( 
'domainList' => 'out', 
'totalItems' => 'out', 
'query' => 'array' 
), 
'create' => array( 
'result' => 'out', 
'domains' => 'array' 
), 
'set' => array( 
'result' => 'out', 
'domainIds' => 'array', 
'details' => 'array' 
), 
'remove' => array( 
'result' => 'out', 
'domainIds' => 'array' 
), 
'testConnection' => array( 
'result' => 'out', 
'domain' => 'array' 
), 
'reset' => array( 
), 
'apply' => array( 
'result' => 'out' 
), 
); 
public function get(& $x_23y, & $x_23z, $x_240) { 
$x_235 = kerio('webadmin::DomainManager'); 
if ($x_235) { 
return $x_235->get(& $x_23y, & $x_23z, $x_240); 
} 
return false; 
} 
public function create(&$x_232, $x_241) { 
$x_235 = kerio('webadmin::DomainManager'); 
if ($x_235) { 
return $x_235->create(&$x_232, $x_241); 
} 
return false; 
} 
public function set(&$x_232, $x_242, $x_243) { 
$x_235 = kerio('webadmin::DomainManager'); 
if ($x_235) { 
return $x_235->set(&$x_232, $x_242, $x_243); 
} 
return false; 
} 
public function remove(&$x_232, $x_242) { 
$x_235 = kerio('webadmin::DomainManager'); 
if ($x_235) { 
return $x_235->remove(&$x_232, $x_242); 
} 
return false; 
} 
public function testConnection(&$x_232, $x_244) { 
$x_235 = kerio('webadmin::DomainManager'); 
if ($x_235) { 
return $x_235->testConnection(&$x_232, $x_244); 
} 
return false; 
} 
public function reset() { 
$x_235 = kerio('webadmin::DomainManager'); 
if ($x_235) { 
return $x_235->reset(); 
} 
return false; 
} 
public function apply(&$x_232) { 
$x_235 = kerio('webadmin::DomainManager'); 
if ($x_235) { 
return $x_235->apply(&$x_232); 
} 
return false; 
} 
}; 
?>
